﻿@using SaintGobin.Common
@model Contact

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- META SECTION -->
    <title>Atlant - Responsive Bootstrap Admin Template</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div class="page-container">
        <div class="page-content">
            <ul class="breadcrumb">
                <li><a href="@Url.Action("Index", "Home")">Home</a></li>
                <li><a href="@Url.Action("GetConactInformation", "Contacts")">Contact List</a></li>
                <li class="active">EDIT Contact</li>
            </ul>
            <!-- END BREADCRUMB -->
            <!-- PAGE TITLE -->
            <div class="page-title">
                <h2 style="padding: 0px 0px 0px 15px;">
                    <span class="fa fa-users"></span>EDIT Contact
                </h2>
            </div>
            <!-- END PAGE TITLE -->
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">

                <div class="row">
                    <section class="content">
                        @if (ViewData["Error"] != null)
                        {

                            <div class="alert alert-danger alert-dismissable fade in rmmargin" role="alert" id="error">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span></button>
                                <p><strong>Error:</strong> @ViewData["Error"].ToString()</p>
                            </div>
                        }
                        @if (ViewData["Success"] != null)
                        {
                            <div class="alert alert-success alert-dismissable fade in rmmargin" role="alert" id="success">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span></button>
                                <p><strong>Success:</strong> @ViewData["Success"].ToString()</p>
                            </div>
                        }
                        <div class="alert alert-error alert-dismissable fade in rmmargin hidden" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span></button>
                            <p><strong>Error:</strong> </p>
                        </div>

                        <div class="col-md-12">
                            <!-- Horizontal Form -->
                            <div class="box box-info">
                                <div class="box-header with-border">
                                    <h3 class="box-title">Contacts</h3>
                                </div>
                                <div class="row">
                                    <form action="~/Contacts/EditContact " method="post">
                                        @using (Html.BeginForm("EditContact", "Contacts", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                                        {
                                            @Html.AntiForgeryToken()
                                            @Html.HiddenFor(m => m.SGID);
                                            @Html.HiddenFor(m => m.User_id);
                                            @Html.HiddenFor(m => m.id);
                                            <div class="box-body">
                                                @if (Model != null)
                                                {
                                                    <div class="col-sm-12">
                                                        <div class="row">
                                                            <div class="col-sm-2 form-group">
                                                                <label>Prefix</label>

                                                                @Html.DropDownListFor(m => m.prefix, new List<SelectListItem>
                                                             {
                                                               new SelectListItem { Text = "MR", Value = "MR", Selected=true},
                                                               new SelectListItem { Text = "MS", Value = "MS"},
                                                               new SelectListItem { Text = "MRS", Value = "MRS"}
                                                             }, new { @class = "form-control" })

                                                            </div>

                                                            <div class="col-sm-2 form-group">
                                                                <label>First Name</label>
                                                                <input type="text" name="@Html.NameFor(m => m.firstname)" value="@Html.DisplayFor(m => m.firstname)" required placeholder="Enter First Name Here.." class="form-control">

                                                            </div>
                                                            <div class="col-sm-4 form-group">
                                                                <label>Middle Name</label>
                                                                <input type="text" name="@Html.NameFor(m => m.middlename)" value="@Html.DisplayFor(m => m.middlename)" placeholder="Enter Middle Name Here.." class="form-control">
                                                            </div>
                                                            <div class="col-sm-2 form-group">
                                                                <label>Last Name</label>
                                                                <input type="text" name="@Html.NameFor(m => m.lastname)" value="@Html.DisplayFor(m => m.lastname)" placeholder="Enter Last Name Here.." class="form-control">
                                                            </div>

                                                            <div class="col-sm-2 form-group">
                                                                <label>Sufix</label>
                                                                <input type="text" name="@Html.NameFor(m => m.sufix)" value="@Html.DisplayFor(m => m.sufix)" placeholder="Enter Sufix Here.." class="form-control">
                                                            </div>
                                                        </div>

                                                        @if (Model.Adresslist.Count != 0)
                                                        {
                                                            <div class="address_locate">
                                                                <h3 style="margin: 0px;">Address</h3>
                                                                <br />

                                                                @for (var i = 0; i < Model.Adresslist.Count(); i++)
                                                                 {
                                                                    <div class="row">
                                                                        <div class="col-sm-3 form-group">
                                                                            @Html.DropDownListFor(model => model.Adresslist[i].type_name, new List<SelectListItem>
                                                                 { new SelectListItem { Text = "WORK", Value = "WORK", Selected=true},
                                                                   new SelectListItem { Text = "HOME", Value = "HOME"},
                                                                   new SelectListItem { Text = "OTHER", Value = "OTHER"}
                                                                  }, new { @class = "form-control" })
                                                                        </div>
                                                                    </div>

                                                                    <div class="row">
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>Street 1</label>
                                                                            <input type="text" name="@Html.NameFor(model => model.Adresslist[i].street1)" value="@Html.DisplayFor(model => model.Adresslist[i].street1)" placeholder="Enter street1  Here.." class="form-control">
                                                                        </div>
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>Street 2</label>
                                                                            <input name="@Html.NameFor(model => model.Adresslist[i].street2)" value="@Html.DisplayFor(model => model.Adresslist[i].street2)" placeholder="Enter street2  Here.." class="form-control">
                                                                        </div>
                                                                    </div>

                                                                    <div class="row">
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>City</label>
                                                                            <input type="text" name="@Html.NameFor(model => model.Adresslist[i].city)" value="@Html.DisplayFor(model => model.Adresslist[i].city)" placeholder="Enter City Name Here.." class="form-control">
                                                                        </div>
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>State</label>
                                                                            <input type="text" name="@Html.NameFor(model => model.Adresslist[i].state)" value="@Html.DisplayFor(model => model.Adresslist[i].state)" placeholder="Enter State Name Here.." class="form-control">
                                                                        </div>
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>Zip</label>
                                                                            <input type="number" name="@Html.NameFor(model => model.Adresslist[i].zipcode)" value="@Html.DisplayFor(model => model.Adresslist[i].zipcode)" pattern="[0-9]{5}" title="Five digit zip code" placeholder="Enter Zip Code Here.." class="form-control">
                                                                        </div>
                                                                    </div>

                                                                    <div class="row">
                                                                        <div class="col-sm-4 form-group">
                                                                            <label>Country</label>
                                                                            <input type="text" name="@Html.NameFor(model => model.Adresslist[i].country)" value="@Html.DisplayFor(model => model.Adresslist[i].country)" placeholder="Enter Country Name Here.." class="form-control">
                                                                        </div>
                                                                    </div>
                                                                }
                                                            </div>
                                                        }



                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="row">
                                                            <div class="col-sm-6 form-group">
                                                                <label>Title</label>
                                                                <input type="text" name="@Html.NameFor(m => m.jobtitle)" value="@Html.DisplayFor(m => m.jobtitle)" placeholder="Enter Designation Here.." class="form-control">
                                                            </div>
                                                            <div class="col-sm-6 form-group">
                                                                <label>Company</label>
                                                                <input type="text" name="@Html.NameFor(m => m.company)" value="@Html.DisplayFor(m => m.company)" placeholder="Enter Company name Here.." class="form-control">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="row">
                                                            <div class="col-sm-6 form-group">
                                                                @if (Model.Contactnoslist.Count != 0)
                                                                {
                                                                    <label>Phone Number</label>
                                                                    for (var i = 0; i < Model.Contactnoslist.Count(); i++)
                                                                    {  <div class="row">
                                                                            <div class="col-md-6">
                                                                                @Html.DropDownListFor(model => model.Contactnoslist[i].type_name, new List<SelectListItem>
															        {
                                                                     new SelectListItem { Text = "WORK", Value = "WORK", Selected=true},
															        new SelectListItem { Text = "HOME", Value = "HOME"},
															        new SelectListItem { Text = "PREF", Value = "PREF"},
														            new SelectListItem { Text = "CELL", Value = "CELL"},
															        new SelectListItem { Text = "MAIN", Value = "MAIN"}
															        }, new { @class = "form-control" })
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                @*<input type="text" id="phone" name="@Html.NameFor(m => contact.number)" value="@Html.DisplayFor(m => contact.number)" data-format="+1 (ddd) ddd-dddd" placeholder=" enter phone number here.." class="form-control">*@
                                                                                @Html.TextBoxFor(model => model.Contactnoslist[i].number, new { @class = "form-control" })

                                                                            </div>

                                                                        </div>
                                                                        <br />
                                                                    }
                                                                }

                                                            </div>
                                                            <div class="col-sm-6 form-group">

                                                                @if (Model.Emailslist.Count != 0)
                                                                {
                                                                    <label>Email</label>
                                                                    for (var i = 0; i < Model.Emailslist.Count(); i++)
                                                                    {
                                                                        <div class="row">
                                                                            <div class="col-md-6">
                                                                                @Html.DropDownListFor(model => model.Emailslist[i].type_name, new List<SelectListItem>
                                                                                                 { new SelectListItem { Text = "WORK", Value = "WORK", Selected=true},
                                                                                                   new SelectListItem { Text = "HOME", Value = "HOME"},
                                                                                                   new SelectListItem { Text = "OTHER", Value = "OTHER"}
                                                                                                   }, new { @class = "form-control" })
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                @*<input type="email" name="@Html.NameFor(model => model.Emailslist[i].email)" value="@Html.DisplayFor(model => model.Emailslist[i].email)" placeholder="Enter Email Address Here.." class="form-control">*@
                                                                                @Html.TextBoxFor(model => model.Emailslist[i].email, new { @class = "form-control" })
                                                                              </div>

                                                                        </div>
                                                                        <br />
                                                                    }

                                                                }


                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="row">

                                                            <div class="col-sm-6 form-group">
                                                                <label>Zone</label>
                                                                <div class="row">
                                                                    <div class="col-md-6">
                                                                        @Html.DropDownListFor(m => m.zone, new List<SelectListItem>
                                                                                                 { new SelectListItem { Text = "WEST", Value = "WEST", Selected=true},
                                                                                                   new SelectListItem { Text = "EAST", Value = "EAST"},
                                                                                                   new SelectListItem { Text = "SOUTH", Value = "SOUTH"},
                                                                                                    new SelectListItem { Text = "NORTH", Value = "NORTH"}
                                                                                                   }, new { @class = "form-control" })
                                                                    </div>

                                                                </div>
                                                            </div>

                                                            <div class="col-sm-6 form-group">
                                                                @if (Model.websiteslist.Count != 0)
                                                                {
                                                                    <label>Website</label>
                                                                    for (var i = 0; i < Model.websiteslist.Count(); i++)
                                                                    {
                                                                        @*@Html.HiddenFor(model => Model.websiteslist[i].URLs)*@


                                                                        <div class="row">
                                                                            <div class="col-md-12">
                                                                                @Html.TextBoxFor(model => model.websiteslist[i].URLs, new { @class = "form-control" })
                                                                            </div>
                                                                        </div>
                                                                        <br />
                                                                    }
                                                                }

                                                            </div>
                                                         

                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-12 form-group">
                                                                <label></label>
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <button type="submit" class="btn btn-lg btn-primary pull-right">Submit</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                }

                                            </div>
                                        }
                                    </form>
                                </div>
                            </div>
                        </div>

                    </section>
                </div>



            </div>
            <!-- END PAGE CONTENT WRAPPER -->
        </div>
    </div>
</body>

</html>

<style type="text/css">
    .address_locate {
        background: #f2f2f2;
        padding: 20px;
    }

    input:invalid {
        border-color: red;
    }

    input,
    input:valid {
        border-color: #ccc;
    }
</style>
@section scripts{
    <script>
        function save(){
            $.ajax({
                type: 'POST',
                url: '@Url.Action("EditContact", "Contacts")',
                data: $('#form').serialize()
            });
        }


    </script>

}
